# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.


from torchdata import _extension  # noqa: F401
from torchdata.dataloader2.dataloader2 import DataLoader2, DataLoader2Iterator
from torchdata.dataloader2.error import PauseIteration
from torchdata.dataloader2.reading_service import (
    CheckpointableReadingServiceInterface,
    DistributedReadingService,
    InProcessReadingService,
    MultiProcessingReadingService,
    PrototypeMultiProcessingReadingService,
    ReadingServiceInterface,
    SequentialReadingService,
)
from torchdata.dataloader2.shuffle_spec import ShuffleSpec

__all__ = [
    "CheckpointableReadingServiceInterface",
    "DataLoader2",
    "DataLoader2Iterator",
    "DistributedReadingService",
    "InProcessReadingService",
    "MultiProcessingReadingService",
    "PauseIteration",
    "PrototypeMultiProcessingReadingService",
    "ReadingServiceInterface",
    "SequentialReadingService",
    "ShuffleSpec",
]

assert __all__ == sorted(__all__)


from torchdata import deprecation_warning

deprecation_warning()
